Skip to content

Get all CompoundCRSes

Request

Get all the CompoundCRSes defined in the catalog.

Security
bearer
Query
offsetinteger, (int32)

The offset of the first item in the list.

Default:0
limitinteger, (int32)

The maximum number of items returned.

Default:100
modestring

The mode of return: 'persistable_reference' (default) string or 'essence' structure or 'persistable_reference_essence' i.e. the combination of other 2 options.

Default:"persistable_reference"
Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  'https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/compoundcrs?offset=0&limit=100&mode=persistable_reference' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

A successful response

Bodyapplication/json
crsesArray of objects(CompoundCRS)

An array of CompoundCRS

countinteger, (int32)

Number of elements in the response.

offsetinteger, (int32)

Offset to the first catalog item in the response, as set in the request.

totalCountinteger, (int32)

Number of elements in the catalog.

Response
{ "crses": [ { … } ], "count": 0, "offset": 0, "totalCount": 0 }